Name: lrbd
Version: 1.0.4
Release: 5%{?dist}
Summary: Configure iSCSI access to Ceph rbd images
License: LGPLv2+
URL: https://github.com/SUSE/lrbd
Source0:  https://github.com/SUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

Requires: python-netifaces
Requires: python-rados
Requires: python-rbd
Requires: ceph-common
Requires: targetcli >= 2.1
Requires(preun):  systemd
Requires(postun): systemd
Requires(post):   systemd

BuildRequires: systemd
BuildRequires: python2-devel
BuildRequires: python-mock
BuildRequires: python-netifaces
BuildRequires: python-nose
BuildRequires: python-rados
BuildRequires: python-rbd

%description
This utility creates, modifies and retrieves a centralized configuration from
Ceph for configuring iSCSI access on a host.

%prep
%autosetup -p1

%build
for f in man/lrbd.*; do
  gzip ${f}
done

%check
make tests

%install
# Makefile has no "install" target. Just copy files to %%{buildroot}.
install -p -D -m 755 lrbd %{buildroot}%{_sbindir}/lrbd
install -p -D -m 644 man/lrbd.conf.5.gz %{buildroot}%{_mandir}/man5/lrbd.conf.5.gz
install -p -D -m 644 man/lrbd.8.gz %{buildroot}%{_mandir}/man8/lrbd.8.gz
install -p -D -m 644 sysconfig/lrbd %{buildroot}%{_sysconfdir}/sysconfig/lrbd
install -p -D -m 644 systemd/lrbd.service %{buildroot}%{_unitdir}/lrbd.service

%post
%systemd_post lrbd.service

%preun
%systemd_preun lrbd.service

%postun
%systemd_postun lrbd.service

%files
%license LICENSE
%doc README.md samples
%{_sbindir}/lrbd
%{_mandir}/man5/lrbd.conf.*
%{_mandir}/man8/lrbd.*
%{_unitdir}/lrbd.service
%config(noreplace) %{_sysconfdir}/sysconfig/lrbd

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 25 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.4-1
- Update to latest upstream release (rhbz#1311966)

* Fri Feb 12 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.3-1
- Update to latest upstream release (rhbz#1306871)

* Fri Jan 29 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.2-0.1.20160129gitcc757bc
- initial package (rhbz#1303245)
